# image-index
This project is a script which can index and sort files on your pc. You can give every file a title, category, source, tags and content for easier finding later on. 
All information is stored inside of an SQLite-database. Two separate tables are used to give aliases to the categories and tags, so that a user can easily change the names without modifying all affected entries.

## Functions
* add - Add a file and entry to the index
* check - check if all files saved in the index exist and aren't faulty
* delete - delete a file and remove the entry
* meta - a command to change aliases of categorties and tags
* open - open one or more files from the index in the default application (only Linux and Windows)
* show - search through the index and show the matches
* update - change a value of an entry in the index or move a file to another category

## Installation
```sh
git clone https://gitlab.com/rodin_schule/image-index-py.git
cd ./image-index-py
chmod u+x image-index
```

## Configuration
The top of the file holds some very important variables that need to be looked at by the user:
* ROOT_DIR: The absolute path of where you want to save your files (the directories for the categories will be created there)
* CONFIG_DIR: The absolute path of where you want to store your `index.db`-file.
* LINUX_APP_STARTER: The linux command which can open a file in the default application. Most distributions use `xdg-open`.